TOUCH(1)

NOM
touch — Modifier l’horodatage d’un fichier

SYNOPSIS
touch [OPTION]... FICHIER...

DESCRIPTION

Mettre à jour les dates et heures d’accès et de modification de chaque FICHIER à la date actuelle.

Si FICHIER n’existe pas, il sera créé vide, à moins que les options -c ou -h ne soient fournies.

Un paramètre FICHIER égal à « - » est traité de façon particulière par touch qui modifiera alors l’horodatage du fichier associé à la sortie standard.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a  ne modifier que la date d’accès

-c, --no-create
    ne créer aucun fichier

-d, --date=CHAÎNE
    interpréter la CHAÎNE et l’utiliser à la place de la date actuelle

-f  (ignoré)

-h, --no-dereference
    modifier les liens symboliques sans affecter les fichiers référencés (utile seulement sur les systèmes qui peuvent changer l’horodatage d’un lien symbolique)

-m  ne modifier que la date de dernière modification

-r, --reference=FICHIER
    utiliser l’horodatage de FICHIER à la place de la date actuelle

-t [[CC]AA]MMJJhhmm[.ss]
    utiliser la date spécifiée à la place de la date actuelle, avec un format de date et heure qui diffère de celui de l’option -d

--time=MOT
    spécifier la date à modifier à l’aide de MOT : date d’accès (-a) : « access », « atime » ou « use » ; date de modification (-m) : « modify » ou « mtime »

--help
    Afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

CHAÎNE DES DATES
Le format de --date=CHAÎNE est peu contraint et lisible, comme par exemple « Sun, 29 Feb 2004 16:21:42 -0800 » ou « 2004-02-29 16:21:42 » ou même « next Thursday ». Une chaîne de date peut contenir des éléments indiquant la date, l'heure, le fuseau horaire, le jour de la semaine, un temps relatif, une date relative et des nombres. Une chaîne vide indique le début du jour. Le format de la chaîne de date est plus complexe que ce qui peut être facilement documenté ici, mais est complètement décrit dans la documentation info.

AUTEUR
Écrit par Paul Rubin, Arnold Robbins, Jim Kingdon, David MacKenzie et Randy Smith.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/touch>
ou disponible localement à l’aide de la commande : info '(coreutils) touch invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.